Skip to main content
Resource Center/Network Resource/Policy Routing Operations
PUTPolicy Routing OperationsSince 3.6.0SynchronousAuth Required

UpdatePolicyRouteRuleSet

UpdatePolicyRouteRuleSet

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    The resource UUID.

Body Fields

  • updatepolicyrouterulesetObjectRequired

    updatepolicyrouteruleset request body object.

    • nameString

      Optional. The resource name.

    • descriptionString

      Optional. The detailed description of the resource.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryPolicyRouteRuleSetInventoryRequired

    See inventory.

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

    • descriptionStringRequired

      The detailed description of the resource.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • rulesListRequired

      See rules.

      • uuidStringRequired

        The resource UUID.

      • ruleNumberintRequired

        The priority.

      • ruleSetUuidStringRequired

        The UUID of the policy route rule set.

      • tableUuidStringRequired

        The policy route table UUID.

      • destIpStringRequired

        The destination IP address.

      • sourceIpStringRequired

        The source IP address.

      • destPortStringRequired

        The destination port.

      • sourcePortStringRequired

        The source port.

      • createDateTimestampRequired

        The creation date.

      • lastOpDateTimestampRequired

        The last operation date.

      • protocolPolicyRouteRuleProtocolRequired

        See protocol.

        • tcpPolicyRouteRuleProtocolRequired

          No description provided.

        • udpPolicyRouteRuleProtocolRequired

          No description provided.

      • statePolicyRouteRuleStateRequired

        See state.

        • enablePolicyRouteRuleStateRequired

          启用。

        • disablePolicyRouteRuleStateRequired

          禁用。

Endpoint

PUT/zstack/v1/policy-routes/ruleSets/{uuid}/actions

/zstack/v1/policy-routes/ruleSets/{uuid}/actions

Operation ID

UpdatePolicyRouteRuleSet

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/policy-routes/ruleSets/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"updatepolicyrouteruleset":{"name":"<name>","description":"<description>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "name": "name", "description": "example-des", "rules": [] } }

Change History

This API has no change history records yet.

View all change history